<template>
  <div>
    <el-tree
      :data="treeList"
      show-checkbox
      node-key="id"
      :default-expanded-keys="[2, 3]"
      :default-checked-keys="[5]"
      :props="defaultProps"
    >
    </el-tree>
  </div>
</template>
<script>
import { major_sys } from "@/api/workScope.js";
export default {
  data() {
    return {
      treeList: [],
      defaultProps: {
        children: "children",
        label: "aliasName",
      },
    };
  },
  methods: {
    majorSys() {
      major_sys({ scopeFilter: true, target: "rtn" }).then((res) => {
        this.treeList = res.rtn;
      });
    },
  },
  created() {
    this.majorSys()
  },
};
</script>